Commits

Michele Bini committed c80c6b9 Merge with conflicts

Merge branch 'debian' into dev

Conflicts:
debian/changelog

Comments (0)

Files changed (3)

+timekoin (1.9-deb39-dev7) unstable; urgency=low
+
+  * Add 'postrm' script.
+
+ -- Michele Bini <michele.bini@gmail.com>  Fri, 21 Sep 2012 03:03:13 +0200
+
 timekoin (1.9-deb38-dev6) unstable; urgency=low
 
   * Quieter postinst script.
+etc/timekoin
 etc/apache2/conf.d
 usr/sbin
 usr/share/timekoin
+#!/bin/sh
+
+set -e
+#set -x
+
+if [ -f /usr/share/debconf/confmodule ]; then
+    . /usr/share/debconf/confmodule
+fi
+if [ -f /usr/share/dbconfig-common/dpkg/postrm.mysql ]; then
+    . /usr/share/dbconfig-common/dpkg/postrm.mysql
+    dbc_go timekoin $@
+fi
+
+
+if [ "$1" = "purge" ]; then
+	rm -f /etc/timekoin/dbconfig.php
+	if which ucf >/dev/null 2>&1; then
+		ucf --purge /etc/timekoin/dbconfig.php
+		ucfr --purge timekoin /etc/timekoin/dbconfig.php
+	fi
+fi
+
+#DEBHELPER#